#' @export
#' @rdname facts_engines
run_engine_contin <- function(
  param_files,
  n_sims = 1L,
  mode = c("s", "r", "p"),
  seed = NULL,
  analysis_data = NULL,
  analysis_mode = NULL,
  arm_selection = NULL,
  armsdropped = NULL,
  complete_data_analysis = NULL,
  current_week = NULL,
  execdata = NULL,
  final = NULL,
  fsimdata = NULL,
  fsimexp = NULL,
  fsimparam = NULL,
  interim = NULL,
  keepfiles = NULL,
  mcmc_num = NULL,
  noadapt = NULL,
  s2_aux_paramfile = NULL,
  stage = NULL,
  verbose = FALSE,
  version = NULL
) {
  run_engine_common_impl(
    param_files = param_files,
    n_sims = n_sims,
    mode = match.arg(mode),
    seed = seed,
    analysis_data = analysis_data,
    analysis_mode = analysis_mode,
    arm_selection = arm_selection,
    armsdropped = armsdropped,
    complete_data_analysis = complete_data_analysis,
    current_week = current_week,
    execdata = execdata,
    final = final,
    fsimdata = fsimdata,
    fsimexp = fsimexp,
    fsimparam = fsimparam,
    interim = interim,
    keepfiles = keepfiles,
    mcmc_num = mcmc_num,
    noadapt = noadapt,
    s2_aux_paramfile = s2_aux_paramfile,
    stage = stage,
    verbose = verbose,
    set = "NucleusParameterSet",
    type = "1",
    version = version
  )
}
